package ru.dbotthepony.kstarbound.world.entities.behavior

import ru.dbotthepony.kstarbound.json.builder.IStringSerializable

enum class NodeParameterType(override val jsonName: String, val funcName: String) : IStringSerializable {
	JSON("json", "Json"),
	ENTITY("entity", "Entity"),
	POSITION("position", "Position"),
	VEC2("vec2", "Vec2"),
	NUMBER("number", "Number"),
	BOOL("bool", "Bool"),
	LIST("list", "List"),
	TABLE("table", "Table"),
	STRING("string", "String");
}
